Bug 1475326 - [RFE] get-state CLI should be able to give default volume options values
[RFE] get-state CLI should be able to give default volume options values
Status: ON_QA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
3.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: RHGS 3.3.1
Assigned To: Samikshan Bairagya
Bala Konda Reddy M
: FutureFeature, ZStream
Depends On:
Blocks: 1475686
  Show dependency treegraph
 
Reported: 2017-07-26 08:50 EDT by Samikshan Bairagya
Modified: 2017-09-20 07:29 EDT (History)
6 users (show)

See Also:
Fixed In Version: glusterfs-3.8.4-45
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Samikshan Bairagya 2017-07-26 08:50:09 EDT
Description of problem:
When you issue a gluster volume get <volname> all command, you can get a list of values set explicitly or by default for all volume options for the particular volume. Support should be added to the get-state CLI to get a list of all volume options too. Currently only the volume options that are explicitly set are shown in the get-state output.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Samikshan Bairagya 2017-07-26 09:13:08 EDT
Upstream patch: https://review.gluster.org/17858
Comment 3 Atin Mukherjee 2017-09-04 05:38:21 EDT
downstream patch : https://code.engineering.redhat.com/gerrit/#/c/117182/

Note You need to log in before you can comment on or make changes to this bug.